<?php

$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk Premium')
	)
);

//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Person Image, Name & Degination', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


$sectionHeader = 'header_settings';


lzCustomLable($wp_customize, 'pages_logosetmaxwidth5', 'title_tagline', 'Person Image');


$wp_customize->add_setting(
    'pers_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'pers_image',
        array(
            'section' => 'title_tagline',
            'settings' => 'pers_image',
            'description' => __('Recommended Image Size: 210X230', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting('personlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('personlink',
    array(
        'settings'      => 'personlink',
        'section'       => 'title_tagline',
        'type'          => 'url',
        'label'         => __( 'Image Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_imgbrdClr', 'title_tagline', 'Image Border Color', '#fff');

lzCustomLable($wp_customize, 'pages_logoname_deg', 'title_tagline', 'Name & Degination');

$wp_customize->add_setting(
    'p_degi',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'UI / UX DESIGNER', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'p_degi',
    array(
        'settings'      => 'p_degi',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Degination', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_imgdegClr', 'title_tagline', 'Degination Color', '#FFC107');

$wp_customize->add_setting(
    'p_name',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'I’m John', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'p_name',
    array(
        'settings'      => 'p_name',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Name', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_imgnameClr', 'title_tagline', 'Name Color', '#fff');

// // // // // //


lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Color');

addColorPalatOption($wp_customize, 'header_topmenusBXBrdClr', 'header_settings', 'Menus Box Border Color', '#f1f1f1');

addColorPalatOption($wp_customize, 'header_innpagetopmenusClr', 'header_settings', 'Inner Page Menus Color', '#CECECE');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#CECECE');

addColorPalatOption($wp_customize, 'header_topmenushvbgClr', 'header_settings', 'Menus Hover BG & Active Menus BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Menus Hover & Active Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topmenusactivebrdClr', 'header_settings', 'Menus Hover & Active Menus Border Color', '#FFC107');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active Color', '#FFC107');

addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Dropdown Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_submenusbrdclr', 'header_settings', 'Dropdown Box Border Color', '#FFC107');


lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_topheadbgclr', 'header_settings', 'Header BG Color', '#232323');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#FFC107');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenutitleColor', 'header_settings', 'Menus Title Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenutitlebgColor', 'header_settings', 'Menus Title BG Color', '#D5D5D8');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenubgColor', 'header_settings', 'Menus BG Color', '#232323');


// social media

lzCustomLable($wp_customize, 'appsmedia', 'header_settings', 'Social Media');

// Twitter
$wp_customize->add_setting('head_twitt',array('default'=> 'https://twitter.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_twitt',
    array(
        'settings'      => 'head_twitt',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);

// FACEBOOK 
$wp_customize->add_setting('head_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_fb',
    array(
        'settings'      => 'head_fb',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);

// TWITTER
$wp_customize->add_setting('head_lin', array('default'=> 'https://linkedin.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_lin',
    array(
        'settings'      => 'head_lin',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'luzuk-premium' )
    )
);

// Instagram
$wp_customize->add_setting('head_insta',array('default'=> 'https://instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_insta',
    array(
        'settings'      => 'head_insta',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'header_tpheadsclicnClr', 'header_settings', 'Header Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'header_tpheadsclicnhvClr', 'header_settings', 'Header Social Icon Hover Color', '#FFC107');

addColorPalatOption($wp_customize, 'header_tpheadsclicnbrdClr', 'header_settings', 'Header Social Icon Border Color', '#fff');

addColorPalatOption($wp_customize, 'header_mnheabgClr', 'header_settings', 'Header BG Color', '#232323');

lzCustomLable($wp_customize, 'head_btnmedia', 'header_settings', 'Header Button');

$wp_customize->add_setting(
    'hbtntext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Download CV', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'hbtntext',
    array(
        'settings'      => 'hbtntext',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('hbtnlink',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('hbtnlink',
    array(
        'settings'      => 'hbtnlink',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Add url here:', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_btntxtClr', 'header_settings', 'Header Btton Text Color', '#232323');

addColorPalatOption($wp_customize, 'header_btntxthvClr', 'header_settings', 'Header Btton Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'header_btntxtbgClr', 'header_settings', 'Header Btton BG Color', '#FFC107');

addColorPalatOption($wp_customize, 'header_btntxtbghvClr', 'header_settings', 'Header Btton BG Color', '#fff');


//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk Premium'),
	'panel' => 'luzuk_general_panel',
) );


  $wp_customize->add_setting('luzuk_premium_color_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_color_section_lbl',
        array(
            'settings'      => 'luzuk_premium_color_section_lbl',
            'section'       => 'colors',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_blogpage_settings',
	array(
		'title' => __( 'Inner Blog Page Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);


    $wp_customize->add_setting('luzuk_premium_blog_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_blog_section_lbl',
        array(
            'settings'      => 'luzuk_premium_blog_section_lbl',
            'section'       => 'luzuk_blogpage_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_area',
	array(
		'title' => __( 'Footer Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

backgroundManager($wp_customize, 'footer', 'footer_area', $color='#e7e7e7', get_template_directory_uri().'/images/default.png', 'img');


lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Footer Padding');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Copyright Text Box Padding');

$wp_customize->add_setting(
    'sec_bottomareaTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareaTmargin',
    array(
        'settings'      => 'sec_bottomareaTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'sec_bottomareabottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareabottommargin',
    array(
        'settings'      => 'sec_bottomareabottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Footer Copyright Text');

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '- 2024 Excavator All Rights Reserved -', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Footer Copyright Text', 'luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'footerarea_copytxtclr', 'footer_area', 'CopyRight Text Color', '#fff');
addColorPalatOption($wp_customize, 'footerarea_copytxtbgclr', 'footer_area', 'CopyRight Text BG Color', '#C69453');

// Footer  Color
lzCustomLable($wp_customize, 'footer_allcolor', 'footer_area', 'Footer Color');

addColorPalatOption($wp_customize, 'footerarea_boxclr1', 'footer_area', 'Box 1 BG Color', '#f6eee3');

addColorPalatOption($wp_customize, 'footerarea_boxclr2', 'footer_area', 'Box 2 BG Color', '#fcf9f5');

addColorPalatOption($wp_customize, 'footerarea_boxclr3', 'footer_area', 'Box 3 BG Color', '#f0e3d2');

addColorPalatOption($wp_customize, 'footerarea_boxclr4', 'footer_area', 'Box 4 BG Color', '#2e2e2d');

addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Text Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_bbxtxt_clr', 'footer_area', 'Black Box Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_icon_color', 'footer_area', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_siconBG_clr', 'footer_area', 'Social Icon BG Color', '#C69453');

addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_siconbghv_clr', 'footer_area', 'Social Icon Hover Color', '#000');

//addColorPalatOption($wp_customize, 'footerarea_menuicn_color', 'footer_area', 'Menu Icon Color', '#FFD159');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Menu Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_menuhover_clr', 'footer_area', 'Menu Hover Color', '#C69453');

addColorPalatOption($wp_customize, 'footerarea_activemenu_clr', 'footer_area', 'Active Menu Color', '#C69453');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#000');

addColorPalatOption($wp_customize, 'FooterAreatabgColor', 'footer_area', 'Form Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#bfbfbf');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_clr', 'footer_area', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formbtntxthv_clr', 'footer_area', 'Form Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbg_clr', 'footer_area', 'Form Button BG Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbrd_clr', 'footer_area', 'Form Button BG Hover Color', '#C69453');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_section(
	'luzuk_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);


    $wp_customize->add_setting('luzuk_premium_colorsetting_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_colorsetting_section_lbl',
        array(
            'settings'      => 'luzuk_premium_colorsetting_section_lbl',
            'section'       => 'luzuk_innerpageshortcode_page_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_section(
	'luzuk_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

$wp_customize->add_setting('luzuk_premium_innerpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_innerpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_innerpage_section_lbl',
            'section'       => 'luzuk_innerpagefont_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);
